Catmandu::Importer::Blacklight(3pm)

NAME
Catmandu::Importer::Blacklight - Import records from a Blacklight catalog

SYNOPSIS
    # From the command line
    $ catmandu convert Blacklight --url http://lib.ugent.be/catalog -q Schopenhauer

    # In perl
    use Catmandu::Importer::Blacklight;

    my $importer = Catmandu::Importer::Blacklight->new(
                    url => "...",
                    q   => "..."
      );

    my $n = $importer->each(sub {
        my $hashref = $_[0];
        # ...
    });

CONFIGURATION

url Blacklight catalog Base URL. Required

q   Query string to search. Required

DESCRIPTION
Every Catmandu::Importer is a Catmandu::Iterable all its methods are inherited. The Catmandu::Importer::Blacklight methods are not idempotent: Blacklight feeds can only be read once.

SEE ALSO
<http://projectblacklight.org/> , Catmandu::Importer , Catmandu::Iterable